score_fun {xcms} | R Documentation

## Scoring for MS/MS spectra

### Description

A similarity scoring function for MS/MS spectra against a reference.

### Usage

    score_fun(ref, exp, method="distMatrix", ...)

### Arguments

`ref` | An array of numbers for the refference
`exp` | An array of numbers for the test
`method` | A string of either 'distMatrix' or 'cor'
`...` | Any other arguments to be passed to other functions

### Details

This is a starting method to score MS/MS data. Which reports the parameters to the various one of the scoreing functions.

### Value

`score` | Percentage score between the two arrays

### Author(s)

H. Paul Benton, hpbenton@scripps.edu

### References

H. Paul Benton, D.M. Wong, S.A.Strauger, G. Siuzdak "XCMS^2:" Analytical Chemistry 2008 DOI:http://pubs.acs.org/doi/abs/10.1021/ac800795f/

### See Also

`score_fun.distMatrix`, `score_fun.cor`

[Package xcms version 1.16.3 Index]